uses
    tools;
var
    root: longint;
begin
    randseed := 34509;
    root := generateFree(0, 8);
    root := buildNF(root);
    root := expand(root, 0.1);
    root := addFeatures(root, 0.1);
    outputRandom(root);
end.
